GET api/medistreamprogramstepapi/step/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

MediStreamProgramStepViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

program_id

globally unique identifier

Required

code

integer

Required

Range: inclusive between 0 and ∞

name

string

Required

medistream_program_step_type_id

globally unique identifier

Required

active

boolean

Required

Response Formats

application/json, text/json

Sample:
{
  "id": "718a7cf7-06de-400a-adb0-5c1f1dfd98fc",
  "program_id": "c18384d0-e5af-4385-aa7f-004816ed04b8",
  "code": 3,
  "name": "sample string 4",
  "medistream_program_step_type_id": "ce1aea8c-3de2-4a24-b366-0133d497b95a",
  "active": true
}

application/xml, text/xml

Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>3</code>
  <id>718a7cf7-06de-400a-adb0-5c1f1dfd98fc</id>
  <medistream_program_step_type_id>ce1aea8c-3de2-4a24-b366-0133d497b95a</medistream_program_step_type_id>
  <name>sample string 4</name>
  <program_id>c18384d0-e5af-4385-aa7f-004816ed04b8</program_id>
</medistream_program_step>